{
  npins ? import ./npins,
  nixpkgs ? npins.nixpkgs,
  pkgs ? import nixpkgs { },
  self ? import ./. { inherit nixpkgs pkgs npins; },
  lib ? pkgs.lib,
  mkShell ? pkgs.mkShell,
  sqlite ? pkgs.sqlite,
  openssl ? pkgs.openssl,
  rust-analyzer ? pkgs.rust-analyzer,
  rustc ? pkgs.rustc,
  cargo ? pkgs.cargo,
  pkg-config ? pkgs.pkg-config,
  crate2nix ? pkgs.crate2nix,
  protobuf ? pkgs.protobuf,
  datasette-wrapped ? self.datasette-wrapped,
  ...
}:
mkShell {
  name = "sidx-shell";
  nativeBuildInputs = [
    (lib.getBin sqlite)
    cargo
    crate2nix
    rustc
    rust-analyzer
    pkg-config
    protobuf
    datasette-wrapped
  ];
  buildInputs = [
    openssl
    sqlite
  ];
  shellHook = ''
    export DATABASE_PATH="$HOME/.local/share/sidx/sidx.db"
    unset out outputs phases
  '';
}
